Pairing Settings

Q2
What type of phones can the watch connect with?
A2
Android™ 4.4 or higher (excluding Go Edition)
  • Confirm that the terminal is Bluetooth® capable.
  • Confirm that the phone can install the Wear OS by Google™ app from Google Play™.

iPhone 5 or higher running iOS 9.3 or higher
  • Some functions may not be supported when connected to iOS.
  • Wi-Fi environment required for iOS connection.

* Use of Android 4.4 or greater (excluding Go Edition) or iOS 9.3 or greater is recommended. However, a WSD-F10, F20, F20S, or F20X Android 4.3 or higher or iOS9 or higher can also be used.

How useful was this information?

SEND